%% Set the defaults for printing book figures;
bookfont(1);

% Generate the figures;
x=bookpathinfo();
cd([x.source,filesep,'ch5']);

%% Call the script file and generate the figures.
abdemo;

%% Print the figures using correct file names
bookfigprint('5-1-ray',[1,3/4]*3,fig1);
bookfigprint('5-2-ray',[1,3/4]*3,fig2);

% Clear out the figures
close all

emirror;
bookfigprint('5-3-ellipse',[1,3/4]*3,fig1);
bookfigprint('5-4-ellipse',[1,3/4]*3,fig2);
nfont=2;
bookfigprint('5-9-ellipse',[4,4],fig3);
bookfigprint('5-10-ellipse',[2,4],fig4);
close all

coddemo;
bookfigprint('5-5-cod',[4,3],fig1);
bookfigprint('5-6-cod',[6,4.5],fig2);
bookfigprint('5-7-cod',[2,3],fig3);

close all

distortion;
bookfigprint('5-12-grid',[2,1.5],fig1);
bookfigprint('5-13-barrel',[2,1.5],fig2);
bookfigprint('5-14-pincushion',[2,1.5],fig3);

close all
astig;
bookfigprint('5-15-astig',[2,1.5],fig(1));
bookfigprint('5-16-astig',[2,1.5],fig(2));
bookfigprint('5-17-astig',[2,1.5],fig(3));
bookfigprint('5-18-astig',[2,1.5],fig(4));
bookfigprint('5-19-astig',[2,1.5],fig(5));
bookfigprint('5-20-astig',[2,1.5],fig(6));
bookfigprint('5-21-astig',[2,1.5],fig(7));
bookfigprint('5-22-astig',[2,1.5],fig(8));
bookfigprint('5-23-astig',[2,1.5],fig(9));

close all;
chromatic;
bookfigprint('5-28-bk7disp',[4,3]/2,fig1);
bookfigprint('5-29-chromatic',[4,3]/2,fig2);
bookfigprint('5-30-spherical',[4,3]/2,fig3);

close all;
pclens;
bookfigprint('5-31-pc',[1,3/4]*3,fig1);
bookfigprint('5-32-pc',[1,3/4]*3,fig2);


% Publish them again using a differnt format
genbookchapterHTML('abdemo');
genbookchapterHTML('emirror');
genbookchapterHTML('coddemo');
genbookchapterHTML('distortion');
genbookchapterHTML('astig');
genbookchapterHTML('chromatic');
genbookchapterHTML('pclens');

% Clear out the figures
close all

% Publish them again using a differnt format
genbookslides('abdemo');
genbookslides('emirror');
genbookslides('coddemo');
genbookslides('distortion');
genbookslides('astig');
genbookslides('chromatic');
genbookslides('pclens');

close all
