%% Set the defaults for printing book figures;
bookfont(2);

% Generate the figures;
x=bookpathinfo();
cd([x.source,filesep,'ch6']);

%% Call the script file and generate the figures.
fresdemo;

%% Print the figures using correct file names
bookfigprint('6-4-angles',[8,6],fig1);
bookfigprint('6-5-fresfield',[8,6],fig2);
bookfigprint('6-7-airwater',[8,6],fig3);
bookfigprint('6-8-airglass',[8,6],fig4);
bookfigprint('6-9-airge',[8,6],fig5);
bookfigprint('6-10-glassair',[8,6],fig6);
bookfigprint('6-11-glassairp',[8,6],fig7);
bookfigprint('6-12-glassairdif',[8,6],fig8);
bookfigprint('6-13-airmetal',[8,6],fig9);
bookfigprint('6-14-airmetalp',[8,6],fig10);

% Clear out the figures
close all
poldemo;
bookfigprint('6-23-poldemo.eps',[8,6],fig1);
bookfigprint('6-24-poldemo.eps',[8,6],fig2);
bookfigprint('6-25-poldemo.eps',[8,6],fig3);
close all

%% Publish figures into HTML
genbookchapterHTML('fresdemo');
genbookchapterHTML('poldemo');

% Clear out the figures
close all

%% Publish figures into slides
genbookslides('fresdemo');
genbookslides('poldemo');

close all

%% Publish Fresnel MATLAB function 
genbookfunchelp('fresnel',[x.publish,'ch6']);
