function matlabfont
%MATLABFONT Setup fonts and thickness of lines back to the MATLAB default.
%
% This will undo what bookfont changes in the current session of MATLAB.
%
% Usage:
%       matlabfont
% 
% See Also: bookfont
%

%% Set default fonts
set(0,'DefaultAxesFontName','Helvetica');
set(0,'DefaultAxesFontSize',10)
set(0,'DefaultAxesFontAngle','normal')
set(0,'DefaultAxesFontWeight','normal')
%
set(0,'DefaultTextFontName','Helvetica');
set(0,'DefaultTextFontSize',10)
set(0,'DefaultTextFontAngle','normal')
set(0,'DefaultTextFontWeight','normal')

%% Make markers and lines thicker for printing.
set(0,'DefaultLineMarkerSize',6);
set(0,'DefaultLineLineWidth',0.5);

%% Set the colors and line styles
% For most figures in the book we need black and white
%
colororder = [      0,         0,    1.0000;
                    0,    0.5000,         0;
               1.0000,         0,         0;
                    0,    0.7500,    0.7500;
               0.7500,         0,    0.7500;
               0.7500,    0.7500,         0;
               0.2500,    0.2500,    0.2500];
set(0,'DefaultAxesLineStyleOrder','-');
set(0,'DefaultAxesColorOrder',colororder);

