%% GW demonstrates different definitions of gaussian line widths
%  1/e, 1/e^2, and FWHM.
%
% by Chuck DiMarzio
%    Northeastern University
%    August 2009
%
% SYNTAX;
%  gw;
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%
x=[-2:0.02:2]; % x axis variable
g=exp(-x.^2);  % Gaussian beam of unit width
fig1=figure;plot(x,g,'-',...
                 [0,1],exp(-1)*[1,1],'-',...
                 [0,sqrt(log(2))],[1,1]/2,'-');
text(0.2,exp(-1)+.05,'t_{1/e}');
text(0.2,0.55,'t_{1/2}');
xlabel('\tau, time');
ylabel('\gamma(\tau)');

fig2=figure;plot(x,g,'-',...
                 [0,1],exp(-1)*[1,1],'-',...
                 [0,sqrt(log(2))],[1,1]/2,...,'-',...
                 sqrt(log(2))*[-1,-1,1,1],[0.5,0.48,0.48,0.5],'-');
text(-0.5,exp(-1)+.06,'$\omega_{FWHM}$','Interpreter','LaTeX');% center
text(0.2,0.58,'$\omega_{1/2}$','Interpreter','LaTeX');% top
text(0.2,0.30,'$\omega_{1/e}$','Interpreter','LaTeX');%bottom
xlabel('\omega');
ylabel('$\tilde{\gamma}(\omega)$','Interpreter','LaTeX');
