%% AF makes an Air Force Resolution Chart
%
% SYNTAX:
%    af:
%
%  uses af1.m
%
% by Chuck DiMarzio
%    Northeastern University
%    April 2010
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%  See Chapter 11 of Optics for Engineers for discussion of the chart and
%  citation to original source.
%
xstart=16*16;  % Starting pitch of line pairs (largest)
syze=xstart*7; % Make a big enough array
bsyze=syze+floor(syze/10);  % Leave a border
ax=-bsyze:bsyze; % Set up the axes (square)
[u,v]=meshgrid(-bsyze:bsyze,-bsyze:bsyze); % define x,y coordinates
data=zeros(size(u));  % Make an array for the object.
xgroup=xstart;  % First of three groups
data=af1(data,xgroup,syze,u,v); % Generate the bar chart for this group
data=af1(data,xgroup/4,syze/4,u,v); % Keep going smaller
data=af1(data,xgroup/16,syze/16,u,v);

%% Plot in normal and reverse video.
fig1=figure;imagesc(ax,ax,data);colormap(gray);axis image;axis off;
fig2=figure;imagesc(ax,ax,data);colormap(flipud(gray));axis image;axis off;
