%%% AF1 used by AF1
%
% by Chuck DiMarzio
%    Northeastern University
%    April 2010
function af1=af1(data,xgroup,syze,u,v)
%% AF1 used by AF to make an Air Force Resolution Chart
%
% by Chuck DiMarzio
%    Northeastern University
%    April 2010
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
af1=data;

a=-syze;b=-syze;
x=xgroup/2^(1/6);  % Make the big square box
u1=a+x*7;u2=u1+x*5/2;v1=b+x*7/2;v2=v1+x*5/2;
af1((u>=u1)&(u<u2)&(v>v1)&(v<v2))=1;
squareend=u2;  % Save this to find the position for the next group

xgroup1=xgroup/2;
a=squareend+7*xgroup1;b=syze;  % element 1 is in the lower left
x=xgroup;
for m=0:2;
  u2=a-m*x;u1=u2-x/2;
  v2=b;v1=v2-x*5/2;
  af1((u>=u1)&(u<u2)&(v>v1)&(v<v2))=1;
end;
for m=0:2;
    u2=a-x*7/2;u1=u2-x*5/2;
    v2=b-m*x;v1=v2-x/2;
    af1((u>=u1)&(u<u2)&(v>v1)&(v<v2))=1;
end;

a=-syze;b=-syze;
for n=2:6;  %  Make elements 2-6 of this group
  x=xgroup/2^((n-1)/6);
  b=b+x*7/2;
  for m=0:2;
    u1=a+m*x;u2=u1+x/2;
    v1=b;v2=v1+x*5/2;
    af1((u>=u1)&(u<u2)&(v>v1)&(v<v2))=1;
  end;
  for m=0:2;
    u1=a+x*7/2;u2=u1+x*5/2;
    v1=b+m*x;v2=v1+x/2;
    af1((u>=u1)&(u<u2)&(v>v1)&(v<v2))=1;
  end;
end;

a=squareend+7*xgroup1; %  Make elements 1-6 of the next group down
b=-syze+xgroup/2^(1/6)*7/2;
for n=1:6; 
  x=xgroup1/2^((n-1)/6);
  for m=0:2;
    u2=a-x*7/2-m*x;u1=u2-x/2;
    v1=b;v2=v1+x*5/2;
    af1((u>=u1)&(u<u2)&(v>v1)&(v<v2))=1;
  end;
  for m=0:2;
    u2=a;u1=u2-x*5/2;
    v1=b+m*x;v2=v1+x/2;
    af1((u>=u1)&(u<u2)&(v>v1)&(v<v2))=1;
  end;
  b=b+x*7/2;
end;
