function barchart=barchart(xfull,yfull,xbar,ybar);
%% BARCHART produces a barchart in two dimensions
%
%  SYNTAX:
%    barchart(xfull,yfull,xbar,ybar);
%
%  by Chuck DiMarzio
%     Northeastern University
%     Septebmer 2009
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%  xfull and yfull are the numbers of pixels in their respective directions
%  xbar and ybar are the widths of the bright or dark bars in the
%  respective directions.  Use ybar=Inf to make a bar chart in the x
%  direction, and xbar=Inf to make one in the y direction, and xbar=ybar to
%  make one at 45 degrees.
%
% EXAMPLES:
%  bx=barchart(1024,1024,64,Inf); % produces a bar chart with horizontal bars
%  
% See Also;
%  FODEMO: Fourier Optics Demonstration
%  RBCHART: Makes a radial bar chart
%
[x,y]=meshgrid(1:xfull,1:yfull);
barchart=zeros(size(x));
barchart(find(floor(floor(x/xbar+y/ybar)/2)==floor(x/xbar+y/ybar)/2))=1;
