function rbchart=rbchart(pixels,bars)
%% RBCHART produces a radial barchart
%
%  by Chuck DiMarzio
%     Northeastern University
%     Septebmer 2009
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
% pixels is the number of pixels in the image 
% bars is the number of bars
halfpixels=floor(pixels/2);
[x,y]=meshgrid((-halfpixels:halfpixels),(-halfpixels:halfpixels));
atest=angle(x+1i*y)*bars/2/pi;
rbchart=(floor(floor(atest)/2)==floor(atest)/2);
