%% The section below doesn't work.  See tmp/chbd.m for something that
%works, but uses the coherent transfer function.

%% Spatial Filtering
% rep is number of  tile pairs across the checkerboard
% box is the number of pixels in each tile
rep=4;box=256;
cbc=single(checkerboard(box,rep,rep)>0);  % Generate a coherent
                                          % checkerboard pattern 
cbi=cbc.*exp(1i*2*pi*rand(size(cbc)));     % Generate an incoherent
                                          % checkerbaord (with random
                                          % phases) 
cbcf=fftshift(fft2(fftshift(cbc)));  % Fourier tranform of the pattern.
cbif=fftshift(fft2(fftshift(cbi)));
fax=fftaxisshift(fftaxis(1:box*rep*2));  % Axis for frequency 
[fx,fy]=meshgrid(fax,fax);   % Generate frequency arrays
fsq=fx.^2+fy.^2;  
ftop=max(max(fx)); % Set max and min frequencies
fmax=ftop/8; 
fmin=fmax/4;
mask1coh=single(fsq<(fmax^2));  % Low Pass filter (coherent)
mask2coh=single(((fsq>(fmin^2))&(fsq<(fmax^2)))); % High Pass coherent
mask1inc=ifftshift(ifft2(abs((fft2(fftshift(mask1coh)))).^2)); % Incoherent 
mask2inc=ifftshift(ifft2(abs((fft2(fftshift(mask2coh)))).^2));
mask1inc=mask1inc/max(max(mask1inc));
mask2inc=mask2inc/max(max(mask2inc));
cbcfmask1=cbcf.*mask1coh;  % Masked versions of the checkerboard in frequency 
cbcfmask2=cbcf.*mask2coh;
cbifmask1=cbif.*mask1coh; % Working with fields so still use coherent mask
cbifmask2=cbif.*mask2coh;
cbcimage1=ifft2(ifftshift(cbcfmask1)); % Compute the images by ift
cbcimage2=ifft2(ifftshift(cbcfmask2));
cbiimage1=ifft2(ifftshift(cbifmask1));
cbiimage2=ifft2(ifftshift(cbifmask2));
fig1=figure;imagesc(real(cbc));axis image;
     caxis([-1,1]);
     colormap(flipud(gray));title('Coherent Object')
fig2=figure;imagesc(real(cbi));axis image;
     caxis([-1,1]);
     colormap(flipud(gray));title('Incoherent Object')

fig3=figure;imagesc(fax,fax,10*log10(abs(cbcf)));axis image;
title('CBC in Pupil'); 
moose=caxis;caxis(moose(2)+[-60,0]);colormap(flipud(gray));
xlabel('f_x, cycles/pixel');ylabel('f_x, cycles/pixel');
fig4=figure;imagesc(fax,fax,10*log10(abs(cbif)));axis image;
title('CBI in Pupil'); 
moose=caxis;caxis(moose(2)+[-60,0]);colormap(flipud(gray));
xlabel('f_x, cycles/pixel');ylabel('f_x, cycles/pixel');


fig5=figure;imagesc(fax,fax,mask1coh);axis image;
   colormap(flipud(gray));
   xlabel('f_x, cycles/pixel');ylabel('f_x, cycles/pixel');title('LP-Coh');
fig6=figure;imagesc(fax,fax,mask2coh);axis image;
   colormap(flipud(gray));
   xlabel('f_x, cycles/pixel');ylabel('f_x, cycles/pixel');title('BP-Coh');
fig7=figure;imagesc(fax,fax,mask1inc);axis image;
   colormap(flipud(gray));
   xlabel('f_x, cycles/pixel');ylabel('f_x, cycles/pixel');title('LP-Inc');
fig8=figure;imagesc(fax,fax,mask2inc);axis image;
   colormap(flipud(gray));
   xlabel('f_x, cycles/pixel');ylabel('f_x, cycles/pixel');title('BP-Inc');


fig9=figure;imagesc(real(cbcimage1));axis image;
   moose=caxis;caxis([-1,1]*max(abs(moose)));
   colormap(flipud(gray));title('CBC Low--Pass Filtered');
fig10=figure;imagesc(real(cbcimage2));axis image;
   moose=caxis;caxis([-1,1]*max(abs(moose)));
   colormap(flipud(gray));title('CBC Band--Pass Filtered');

fig11=figure;imagesc(real(cbiimage1));axis image;
   moose=caxis;caxis([-1,1]*max(abs(moose)));
   colormap(flipud(gray));title('CBI  Low--Pass Filtered');
fig12=figure;imagesc(real(cbiimage2));axis image;
   moose=caxis;caxis([-1,1]*max(abs(moose)));
   colormap(flipud(gray));title('CBI Band--Pass Filtered');

fig13=figure;imagesc(abs(cbcimage1).^2);axis image;
   colormap(flipud(gray));title('CBC Irradiance Low--Pass Filtered');
fig14=figure;imagesc(abs(cbcimage2).^2);axis image;
   colormap(flipud(gray));title('CBC Irradiance Band--Pass Filtered');

fig15=figure;imagesc(abs(cbiimage1).^2);axis image;
   colormap(flipud(gray));title('CBI  Irradiance Low--Pass Filtered');
fig16=figure;imagesc(abs(cbiimage2).^2);axis image;
   colormap(flipud(gray));title('Irradiance CBI Band--Pass Filtered');
