%% GAMMAPIC plots output vs. input for different values of gamma
%
% by Chuck DiMarzio
%    Northeastern University
%    July 2009
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Choose values for demo
gamm=[0.5,1,2];
maxcount=255;
%
%% input range for normalized irradiance
in=(0:0.01:1);
%
%% Set up 2-d arrays and generate output
[in2,gamma2]=meshgrid(in,gamm);
out=in2.^gamma2*maxcount;  % output is scaled to maxcount
%
%% Plot
fig1=figure;plot(maxcount*in,out);grid on;
xlabel('I/I_{max}, Input');
ylabel('Output, Counts');
legend(['\gamma = ',sprintf('%1.1f',gamm(1))],...
       sprintf('   %1.1f',gamm(2)),...
       sprintf('%1.1f',gamm(3)),'Location','NorthWest')
legend('boxoff');
