%% MOON computes detected signal in a pixel of moon image
% by Chuck DiMarzio
%    Northeastern University
%    June 2009
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Compute spectral radiant exitance and spectral photon exitance at 5000K 
%
% bbd.m returns spectral data.
%
 [wavelr,mrlambda,wavelv,mvlambda,wavelp,mplambda,m,mv,mp,X,Y,Z]=...
     bbd(5000,0.35,10);
close all;  %  Close figures generated by bbd
fig1=figure;plot(wavelr,mrlambda/m,wavelr,mplambda/mp);
xlabel('\lambda, Wavelength, \mu m');
ylabel('f_\lambda, \mu m');
moose=axis;axis([moose(1),3,moose(3:4)]);
grid on;

%% Compute Conversion factor photons per joule
opticalpower=3.8e-12;
photons_per_joule=mp/m
test=wavelp<0.750;   %  Cutoff filter:  count just the ones in band
fraction_in_band=sum(mplambda(test))/sum(mplambda)
photons_per_second=photons_per_joule*opticalpower*fraction_in_band
photons=photons_per_second/30
