%% PRISM   Calculates deviation angle of a prism
%
% by Chuck DiMarzio
%    Northeastern University
%    March 2010
%
%  See text Chapter 2 for details.
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%
alpha=30;  % Set the prism angle (degrees)
n=1.5;     % Index of refraction
theta1=(0:60);  % Vary the input angle
% theta2p is the angle of incidence on second surface
theta2p=asind(sqrt(n^2-(sind(theta1)).^2)*sind(alpha)-...
              sind(theta1)*cosd(alpha));
delta=-alpha+theta1+theta2p; % Total deviation
deltamin=2*asind(n*sind(alpha/2))-alpha % Print out minimum deviation
theta1_for_min=asind(n*sind(alpha/2)) % and associated angle
fig1=figure;plot(theta1,delta,'-',theta1_for_min,deltamin,'o');grid on;
xlabel('\theta_1, Angle of Incidence')
ylabel('\delta, Angle of Deviation')
