% NAFN plots f number as a function of numerical aperture.
%
% by Chuck DiMarzio
%    Northeastern University
%    March 2009
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%
theta=(0:90);
na=sind(theta);
fn=1/2./tand(theta);
fnapprox=1/2./na;

test=find(fn<4);
fig1=figure(1);
plot(na(test),fn(test),'-',na(test),fnapprox(test),'--');
grid on;
xlabel('NA');
ylabel('F-Number');

omega=2*pi*(1-sqrt(1-na.^2));
omegaapprox=pi*na.^2;
fig2=figure(2);plot(na,omega,'-',na,omegaapprox,'--');grid on;
xlabel('NA');
ylabel('\Omega, sr');
