%% COMA demonstrates coma
%
% by Chuck DiMarzio
%    Northeastern University
%    2011
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%
% Delta = c_5 x rho^3 (cos(phi))^3 
%       = c_5 x rho^2 (cos(phi))^2 rho cos(phi)
% Delta = factor * rho cos(phi) represents tilt
% factor is proportional to x rho^2 (cos(phi))^2
%
% Generate pupil space in polar coordinates in rho phi
phiaxis=(0:360)*pi/180; % radians
[rho,phi]=meshgrid((0.2:.2:1),phiaxis);
%
% put the paraxial image at x=1
x=1;
tilt=0.1*x*rho.^2.*cos(phi).^2; % 10% tilt at x=1,rho=1, goes like p^2 in
                                % the right direction 

cx=x+tilt;
cy=tilt.*tan(phi);
figure;plot(cy(:,:),cx(:,:));axis equal;
