%% SPHERICAL  Spherical aberration of lenses for Chapter 5
%
%  See Also:  ABDEMO, ASTIG, CHROMATIC, COMA, DISTORTION
%
% by Chuck DiMarzio
%    Northeastern University
%    2011
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%
sa=(-10:0.1:10); % s axis
[s,sp]=meshgrid(sa,sa);  % s and s', object and image distances
f=1./(1./s+1./sp);
figure;imagesc(sa,sa,f);axis image;axis xy;caxis([-10,10]);colorbar;
p=(sp-s)./(sp+s);
figure;imagesc(sa,sa,p);axis image;axis xy;caxis([-5,5]);colorbar;
