%% BEAMSPLIT  shows first two reflection contributions for beamsplitter
%
% by Chuck DiMarzio
%    Northeastern University
%    May 2009
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Front and back surface reflections
ar=0.01;  % anti--reflection coating
hi=0.9;   % High reflection
lo=0.1;   % Low reflection
r1=[ar,hi,ar,lo];
r2=[hi,ar,lo,ar];
p1t=(1-r1).*(1-r2);  % Direct transmission
p2t=(1-r1).*r2.*r1.*(1-r2);      % Transmission with one bounce
vt=2*sqrt(p1t.*p2t)./(p1t+p2t);    % Transmitted fringe visiblity

p1r=r1;                          % Direct reflection
p2r=(1-r1).*r2.*(1-r1);          % Reflection with one bounce
vr=2*sqrt(p1r.*p2r)./(p1r+p2r);    % Transmitted fringe visiblity

disp('   r1    r2   vt    vr  in Percent');
fprintf('%5.1f %5.1f %5.1f %5.1f \n',[r1',r2',vt',vr']'*100);
