%% OPTINT demonstrates optimization for interferometer
% by Chuck DiMarzio
%    Northeastern University
%    May 2009
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Mach--Zehnder Interferometer
r=(0:0.01:1);[r1,r2]=meshgrid(r);  % Reflectivities of BS1 and BS2
% visibility of fringes
v=2*sqrt(r1.*(1-r1).*r2.*(1-r2))./(r1.*(1-r2)+r2.*(1-r1));
figure;imagesc(r,r,v);axis image;axis xy;colormap(gray);colorbar;
% signal strength factor
s=sqrt(r1.*(1-r1).*r2.*(1-r2));
figure;imagesc(r,r,s);axis image;axis xy;colormap(gray);colorbar;
