%% DIFFR2  Physical basis of diffraction
% 
%
% by Chuck DiMarzio
%    Northeastern University
%    2010
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Start
samplesize=200;
lambda=1;
fcount=0; % for generating figure numbers
for d=[12,6,3,1.5];
fcount=fcount+1; % for generating figure numbers
z=50;
x1=(sum(rand(5,samplesize))/5-1/2)*d/2;
theta=(sum(rand(5,samplesize))/5-1/2)*2/pi*lambda/d;
x2=x1+theta*z;
x=[x1;x2];
fig(fcount)=figure(fcount);plot([0,z],x,'k','LineWidth',1);
axis([0,z,-10,10])
xlabel('z, Axial Distance, \mu m');
ylabel('x, Transverse Distance, \mu m');
legend(['Gaussian Beam, d_0 = ',num2str(d),' \mu m, \lambda = ',...
       num2str(lambda),' \mu m.'],'Location','SouthWest');
%%%%% remove this print('-depsc',[epspath,'8-',num2strz(fcount,2),'-diffr']);
end;
