%% DIFFR5  Diffraction patterns out of focus
%
%
% by Chuck DiMarzio
%    Northeastern University
%    2010
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Start
NAfft=2;NA=0.25;lambda=0.5e-6;
deltazlist=lambda*(-40:0.5:40);
k=2*pi/lambda;
sinaxis=fftaxisshift((0:1023)/512*NAfft);
faxis=2*sinaxis/lambda;
subregion=(floor(length(faxis)*3/8):floor(length(faxis)*5/8));
[u,v]=meshgrid(sinaxis,sinaxis);

% uniformly illuminated circular aperture
r=sqrt(u.^2+v.^2);

islice=zeros(length(faxis),length(deltazlist));
for nz=1:length(deltazlist);
  deltaz=deltazlist(nz);

pup=zeros(size(u));
test=find(r<NA);
pup(test)=exp(1j*k*deltaz*(r(test)).^2);

%figure;imagesc(faxis(subregion),faxis(subregion),...
%               angle(pup(subregion,subregion)));
%axis image;caxis([-pi,pi]);colormap(hsv);colorbar; 
%fcount=fcount+1;print('-depsc',[epspath,'8-',num2strz(fcount,2),'-diffr']);

img=fftshift(fft2(fftshift(pup)));
xaxis=fftaxisshift(fftaxis(faxis));
%figure;imagesc(xaxis(subregion),xaxis(subregion),...
%               real(img(subregion,subregion)));
%red=gray;
%red(:,1)=1;
%blue=gray;
%blue(:,3)=1;
%rbmap=[blue(1:2:end,:);flipud(red)];
%moose=caxis;caxis(max(abs(moose))*[-1/2,1]);
%axis image;colormap(rbmap);colorbar; 
%fcount=fcount+1;print('-depsc',[epspath,'8-',num2strz(fcount,2),'-diffr']);

%figure;plot(xaxis(subregion),real(img(floor(length(xaxis)/2),subregion)));
%grid on;
%plot(xaxis(subregion),20*log10(abs(img(floor(length(xaxis)/2), ...
%                                      subregion))));
%grid on;
%moose=axis;axis([0,moose(2)/2,moose(4)+[-50,0]]);
%fcount=fcount+1;print('-depsc',[epspath,'8-',num2strz(fcount,2),'-diffr']);

islice(:,nz)=img(floor(length(xaxis)/2),:);
disp([num2str(nz),'/',num2str(length(deltazlist))]);
end;

fig39=figure;
imagesc(deltazlist*1e6,xaxis(subregion)*1e6,abs(islice(subregion,:)));
axis image;
colormap(flipud(gray));colorbar;
xlabel('z-f, Defocus Distance');ylabel('x, Transverse Distance');
%print('-depsc',[epspath,'8-39-defocus.eps']);

