% FDIFFR1 Internal script Called by fdiffr.m for Fresnel Diffraction
%
%
% by Chuck DiMarzio
%    Northeastern University
%    2010
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Start
u0=1/sqrt(pi*a^2); % Field in aperture normalized to 1 Power unit

x1=(xp+a)*sqrt(k/2/z);
x2=(xp-a)*sqrt(k/2/z);
[r1,i1]=fresnelCS(abs(x1));r1=r1.*sign(x1);i1=i1.*sign(x1);
[r2,i2]=fresnelCS(abs(x2));r2=r2.*sign(x2);i2=i2.*sign(x2);

irradp=(2*k/4/pi/z)^2*u0*((r2-r1).^2+(i2-i1).^2);


figure(fig_cornu);plot(real(cornu),imag(cornu),'k-','LineWidth',2);hold on;
for npp=1:length(xp);plot([r1(npp),r2(npp)],[i1(npp),i2(npp)],sym(npp,:));end;
axis image;axis(cornuaxis);hold off;
%print('-depsc',['8-',num2str(counter),'-fresd.eps']);counter=counter+1;

x1=(x+a)*sqrt(k/2/z);
x2=(x-a)*sqrt(k/2/z);
[r1,i1]=fresnelCS(abs(x1));r1=r1.*sign(x1);i1=i1.*sign(x1);
[r2,i2]=fresnelCS(abs(x2));r2=r2.*sign(x2);i2=i2.*sign(x2);

irrad=(2*k/4/pi/z)^2*u0*((r2-r1).^2+(i2-i1).^2);

figure(fig_irrad);plot(x*1e3,irrad,'k-',...
            -fliplr(x*1e3),fliplr(irrad),'k-','LineWidth',2);hold on;
for npp=1:length(xp);plot(xp(npp)*1e3,irradp(npp),sym(npp,:));end;
xlabel('x, mm');ylabel('I, Irradiance, W/m^2');hold off;
%print('-depsc',['8-',num2str(counter),'-fresd.eps']);counter=counter+1;
%
