%% FZONES plots curvature term as a function of Fresnel zone number
%
% by Chuck DiMarzio
%    Northeastern University
%    April 2010
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Start
r=[0:0.01:4];  % r/rf, radius in zones
c=cos(2*pi*r.^2);
s=sin(2*pi*r.^2);
fig34=figure;plot(r,c,r,s);
xlabel('r/r_f, Radius in Fresnel Zones');
ylabel('Curvature Term');
legend('Real','Imag');

