%% PARAXIAL Compares the paraxial approximation to the true expression.
%
% by Chuck DiMarzio
%    Northeastern University
%    August 2010
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Start
theta=(0:90);
r=sind(theta);
rp=tand(theta);
fig1=figure;
semilogy(theta,rp,theta,r,theta,rp-r);axis([0,90,1e-3,10]);grid on;
xlabel('Angle, Degrees');ylabel('dr/dx');
legend('Paraxial','True','Difference','Location','SouthEast');

