%% airy.m  Testing Airy pattern against Air Force Chart
%
% by Chuck DiMarzio
%    Northesatern University
%    May 2010
%
fullsize=512;
xaxis=fftaxisshift([0:fullsize-1]);
[x,y]=meshgrid(xaxis,xaxis);
airysize=128;
acenter=floor(airysize/2)+1;
fcenter=floor(fullsize/2)+1;
x1axis=fftaxisshift([0:airysize-1]*4/(airysize-1));
x1axisi=fftaxisshift([0:airysize-1]);
[x1,y1]=meshgrid(x1axis,x1axis);
r1=sqrt(x1.^2+y1.^2);
air1=4*(besselj(1,r1*pi)./(r1*pi)).^2;
air1(find(r1==0))=1;

for count=1:20;
halfwidth=count+15;
fullwidth(count)=halfwidth*2;

rayleigh=zeros(size(x));
rayleigh(fcenter-acenter-halfwidth+[1:airysize],...
         fcenter-acenter+[1:airysize])...
    =rayleigh(fcenter-acenter-halfwidth+[1:airysize],...
              fcenter-acenter+[1:airysize])...
    +air1;
rayleigh(fcenter-acenter+halfwidth+[1:airysize],...
         fcenter-acenter+[1:airysize])...
    =rayleigh(fcenter-acenter+halfwidth+[1:airysize],...
              fcenter-acenter+[1:airysize])...
    +air1;

%figure;imagesc(xaxis,xaxis,rayleigh);axis image;colorbar;

rdepth(count)=rayleigh(fcenter,fcenter)/max(max(rayleigh));

bars=double(cos(pi*x/halfwidth)>0);

bimage=conv2(bars,air1,'same');

bline=bimage(fcenter,[fcenter-halfwidth*2:fcenter+halfwidth*2]);
bbline=bars(fcenter,[fcenter-halfwidth*2:fcenter+halfwidth*2]);

%figure;imagesc(xaxis,xaxis,bars);axis image;colorbar;
%title(['Width = ',num2str(fullwidth(count))]);
%figure;imagesc(xaxis,xaxis,bimage);axis image;colorbar;
%title(['Width = ',num2str(fullwidth(count))]);
%figure;plot(1:length(bline),bline/max(bline),'-o',...
%            1:length(bbline),bbline,'-+');
%title(['Width = ',num2str(fullwidth(count))]);

bdepth(count)=min(bline)/max(bline);

end;

figure;imagesc(x1axisi,x1axisi,air1);axis image;colorbar;

figure;plot(x1axisi,air1(acenter,:),'-o');grid on;
xlabel('x, Counts');
ylabel('Airy Pattern');

figure;plot(fullwidth,rdepth,'-o',fullwidth,bdepth,'-+');grid on;
xlabel('Point Spacing or Period');
ylabel('Valley/Peak');

