%% DRHO  Plots beam diameter and radius of curvature vs z.
% z and rho are normalized to b, d is normalized to d0.
% by Chuck DiMarzio
%    Northeastern University
%    July 2009
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Start
zr=[(-5:0.01:-1/5)',(1/5:0.01:5)'];  % Skip the middle to avoid large results
rho=zr+1./zr;
rhofar=zr;
rhonear=1./zr;
fig6=figure;plot(zr,rho,'k-',zr,rhofar,'k--',zr,rhonear,'k-.');
axis([-5,5,-5,5]);
xlabel('z/b, Scaled Axial Distance')
ylabel('\rho/b, Scaled Radius of Curvature')


zd=(-5:0.01:5);
d=sqrt(1+zd.^2);
dfar=zd;dnear=ones(size(zd));
fig7=figure;plot(zd,d,'k-',zd,dfar,'k--',zd,dnear,'k-.');
axis([-5,5,0,5]);
xlabel('z/b, Scaled Axial Distance')
ylabel('d/d_0, Scaled Beam Diameter')

