%% Script CONSTANT brings physical constants into the workspace
%
% SYNTAX:
%   constant;
%
% by Chuck DiMarzio
%    Northeastern University
%    2009
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
c=299792458; % m/s
h=6.626068E-34; % Joules/Hz =  m2 kg / s
k=1.3806503E-23; % m2 kg s-2 K-1 = J/K
electron=1.60217646E-19; % coulombs
q_electron=1.60217646E-19; % coulombs
mu_0=1.25663706E-6;  % Henry/m
epsilon_0=8.85418782E-12; %  F/m = m-3 kg-1 s4 A2
avogadro=6.022045E23; %  molecules/mol
r_gas_constant=8.3143; % Gas constant in Joules/Kelvin/mole
%                      PV = n R T where n is grams/mol wt.
one_torr=133.322;      % one torr in pascal or N/m^2
m_electron= 9.10938188E-31; % kilograms
dalton=1.6605402E-27; % kilograms
