%%% num2strz.m
%%% Converts number to string, with leading zeros
%%% usage:
%%% t=num2strz(n,z);
%%% n is a number
%%% z is the desired number of places to the left of decimal point
%%% t is the text string for the number
%%% example:
%%% t=num2strz(2.3,4)
%%%   t = '0002.3'
%%%
%%% Chuck DiMarzio
%%% Northeastern University, August 2006
%%% Revised to handle n=0
%%% Revision 1.01, Jan 2007
%%% REvision 1.02, Jul 2007 to correct error when  n = 0
%%%   old version had num2strz(0,2)='000' when it should be '00'
function t=num2strz(n,z)
if n==0,m=z-1;
else
m=floor(z)-floor(log10(n))-1;
end;
t=num2str(n);
while m>0;
t=['0',t];
m=m-1;
end;
