function [x,y,z]=xyz(w)
%% XYZ calculates xyz tristimulus values
%
% SYNTAX:
% [x,y,z]=xyz(w);
%
% where  w is wavelength, x,y,z are tristimulus values
%        w is in nanometers
%
%  These are approximations by Chuck DiMarzio
%                              Northeastern University
%                              November 2001
%            Based on fortran program s2c (spectrum to color)
%            Written in the mid 90's
%  Run xyztest.m to see how good it is
%
%
%  !! This file may be copied, used, or modified for educational and
%  !! research purposes provided that this header information is not
%  !! removed or altered, and provided that the book is cited in 
%  !! publications, as DiMarzio, Charles A., Optics for Engineers, 
%  !! CRC Press, Boca Raton, FL, 2011.
%  !! http://www.crcpress.com
%  !! Other distribution is prohibited without permission.
%
%% Start
x1=exp(  (-9712.539062+32.536427*w-.027238*w.^2)...
   ./(1.+.270274*w-.00028*w.^2));
x2=exp(  (-225.256866+1.011834*w-0.001141*w.^2)...
             ./(1.-0.004699*w+.00001*w.^2));
x=x1+x2;
y=exp(  (-833.202209+2.995009*w-0.002691*w.^2)...
            ./(1.+0.011476*w+0.000006*w.^2));
z=zeros(size(w));         
   woff=w(find(w>340))-450;
   z(find(w>340))=exp( (0.620450+0.000582*woff-0.000973*woff.^2)...
      ./(1.+.008606*woff));
 
x(find(w>780|w<380))=0;
y(find(w>780|w<380))=0;
z(find(w>780|w<380))=0;
